Bug 483553 - (mingw32-libltdl) Review Request: mingw32-libltdl - Runtime libraries for GNU Libtool Dynamic Module Loader
Review Request: mingw32-libltdl - Runtime libraries for GNU Libtool Dynamic M...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On: 454410
Blocks: mingw32-opensc
  Show dependency treegraph
 
Reported: 2009-02-02 08:06 EST by Hans Ulrich Niedermann
Modified: 2009-03-23 17:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-03 16:23:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rjones: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans Ulrich Niedermann 2009-02-02 08:06:05 EST
Spec URL: http://ndim.fedorapeople.org/packages/mingw32-libltdl/1.5.26-7.fc10/mingw32-libltdl.spec
SRPM URL: http://ndim.fedorapeople.org/packages/mingw32-libltdl/1.5.26-7.fc10/mingw32-libltdl-1.5.26-7.fc10.src.rpm
Description:

The mingw32-libltdl package contains the GNU Libtool Dynamic Module Loader, a
library that provides a consistent, portable interface which simplifies the
process of using dynamic modules, for the mingw32 cross compilation
environment.

These runtime libraries are needed by programs that link directly to the
system-installed ltdl libraries; they are not needed by software built using
the rest of the GNU Autotools (including GNU Autoconf and GNU Automake).
Comment 1 Hans Ulrich Niedermann 2009-02-02 08:08:21 EST
FYI: When I publish updates to this package in the course of this review, they will be published here:

  http://ndim.fedorapeople.org/packages/mingw32-libltdl/
  http://fedorapeople.org/gitweb?p=ndim/public_git/mingw32-libltdl-package.git;a=summary
  git://fedorapeople.org/~ndim/mingw32-libltdl-package.git
Comment 2 Richard W.M. Jones 2009-02-02 08:50:57 EST
A Koji scratch build would help here to validate
that there are no missing dependencies, and that it
actually builds in the somewhat harsh environment
of mock/koji.
Comment 3 Hans Ulrich Niedermann 2009-02-02 09:14:05 EST
Updated versions:

  http://ndim.fedorapeople.org/packages/mingw32-libltdl/1.5.26-9.fc10/
  http://ndim.fedorapeople.org/packages/mingw32-libltdl/1.5.26-8.fc10/

For detailed changes, cf. the mingw32-libltdl.spec files, or see the gitweb interface.

Koji scratch builds complete successfully:

  http://koji.fedoraproject.org/koji/taskinfo?taskID=1099167 (1.5.26-9.fc10)
  http://koji.fedoraproject.org/koji/taskinfo?taskID=1099134 (1.5.26-8.fc10)

%changelog
* Mon Feb  2 2009 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.5.26-9
- remove obsolete requires(post/pre)
- remove mingw32-gcc-c++ requirement

* Mon Feb  2 2009 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.5.26-8
- Call configure with --host instead of setting CC and CXX.
- Use BuildArch: noarch
Comment 4 Hans Ulrich Niedermann 2009-02-02 09:19:59 EST
Koji scratch build of mingw32-libltdl-1.5.26-9.fc10 for dist-f11:

  http://koji.fedoraproject.org/koji/taskinfo?taskID=1099174
Comment 5 Hans Ulrich Niedermann 2009-02-02 09:52:01 EST
Minimal change since last koji scratch build, so I did not do another one:

  http://ndim.fedorapeople.org/packages/mingw32-libltdl/1.5.26-10.fc10/

* Mon Feb  2 2009 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.5.26-10
- fix license: only consider content of binary RPM
Comment 6 Richard W.M. Jones 2009-02-02 11:02:14 EST
Taking for review.
Comment 7 Richard W.M. Jones 2009-02-02 11:16:49 EST
General comments:

. You shouldn't need --host parameter to configure.

. It would be nice if the make check rule was surrounded by
  %if %{run_tests} ... %endif, and if it worked when run_tests
  was enabled.  (run_tests should be disabled by default though).
  See how we do it here:
  http://hg.et.redhat.com/cgi-bin/hg-misc.cgi/fedora-mingw--devel/file/9ce8bc84c7bc/gmp/mingw32-gmp.spec#l7

+ rpmlint output

mingw32-libltdl.src:56: W: configure-without-libdir-spec

Weird one - we set --libdir in the mingw32_configure macro so I'm
not sure what rpmlint is talking about.  Ignore it.

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license
+ %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
+ package successfully builds on at least one architecture
n/a ExcludeArch bugs filed
+ BuildRequires list all build dependencies
+ %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and %postun
+ does not use Prefix: /usr
n/a package owns all directories it creates
+ no duplicate files in %files
+ %defattr line
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
n/a header files should be in -devel
n/a static libraries should be in -static
n/a packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a -devel must require the fully versioned base
n/a packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
n/a packages must not own files or directories owned by other packages
n/a %install must start with rm -rf %{buildroot} etc.
+ filenames must be valid UTF-8

Optional:

n/a if there is no license file, packager should query upstream
n/a translations of description and summary for non-English languages, if available
+ reviewer should build the package in mock
+ the package should build into binary RPMs on all supported architectures
- review should test the package functions as described
n/a scriptlets should be sane
n/a pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or /usr/sbin

===> APPROVED
but it would be nice to see the two changes I point out at the top.
Comment 8 Hans Ulrich Niedermann 2009-02-02 11:42:11 EST
(In reply to comment #7)
> General comments:
> 
> . You shouldn't need --host parameter to configure.

Removed in mingw32-libltdl-1.5.26-11.fc10

> . It would be nice if the make check rule was surrounded by
>   %if %{run_tests} ... %endif, and if it worked when run_tests
>   was enabled.  (run_tests should be disabled by default though).

Added in mingw32-libltdl-1.5.26-11.fc10

> ===> APPROVED
> but it would be nice to see the two changes I point out at the top.

Done:
  http://ndim.fedorapeople.org/packages/mingw32-libltdl/1.5.26-11.fc10/
  http://fedorapeople.org/gitweb?p=ndim/public_git/mingw32-libltdl-package.git;a=summary

Thanks for the review.
Comment 9 Hans Ulrich Niedermann 2009-02-02 11:46:25 EST
New Package CVS Request
=======================
Package Name: mingw32-libltdl
Short Description: Runtime libraries for GNU Libtool Dynamic Module Loader
Owners: ndim
Branches: F-10
InitialCC:
Comment 10 Kevin Fenzi 2009-02-02 23:27:37 EST
cvs done.
Comment 11 Hans Ulrich Niedermann 2009-02-03 16:23:03 EST
Built package for rawhide (CVS tag mingw32-libltdl-1.5.26-12.fc11).

Built package for F-10 (CVS tag mingw32-libltdl-1.5.26-12.fc10) and submitted for updates-testing.

Closing review request bug accordingly. Thanks for all the help.

Note You need to log in before you can comment on or make changes to this bug.